aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/adduser/adduser.sh
diff options
context:
space:
mode:
Diffstat (limited to 'usr.sbin/adduser/adduser.sh')
-rw-r--r--usr.sbin/adduser/adduser.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/usr.sbin/adduser/adduser.sh b/usr.sbin/adduser/adduser.sh
index 9739b2e589fa..e9027b6b7876 100644
--- a/usr.sbin/adduser/adduser.sh
+++ b/usr.sbin/adduser/adduser.sh
@@ -477,7 +477,8 @@ get_zfs_home() {
# check if zfs kernel module is loaded before attempting to run zfs to
# prevent loading the kernel module on systems that don't use ZFS
- if ! "$KLDSTATCMD" -q -m zfs || Zcreate="no"; then
+ if ! "$KLDSTATCMD" -q -m zfs; then
+ Zcreate="no"
return
fi
if ! _prefix=$(${ZFSCMD} list -Ho name "${homeprefix}" 2>/dev/null) ||